> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4/api-reference/workspaces/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Update workspace PATCH https://api.frame.io/v4/accounts/{account_id}/workspaces/{workspace_id} Content-Type: application/json Update a workspace. Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/workspaces/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `workspace_id` (string, required) ### Body (application/json) This endpoint expects a WorkspaceParams. - `data` (WorkspaceParamsData, required) ## Response ### 200 OK - `data` (Workspace, required) — Frame.io workspace ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### WorkspaceParamsData - `name` (string, optional) — Workspace Name ### Workspace Frame.io workspace - `account_id` (string, required) — Account ID - `created_at` (string, required) — Created Timestamp - `id` (string, required) — Workspace ID - `name` (string, required) — Workspace Name - `updated_at` (string, required) — Updated Timestamp - `image` (string, optional, nullable) — URL of the workspace image (icon). Null when no image has been uploaded. ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Request** ```json { "data": { "name": "My Workspace" } } ``` **Response** ```json { "data": { "account_id": "eaf8c92d-3e4b-4141-9f37-45ad9ee61666", "created_at": "2024-01-25T19:18:29.614189Z", "id": "2f046a62-f6b9-48e0-8f85-d3db025e1791", "name": "My Workspace", "updated_at": "2024-02-07T16:44:41.986478Z", "image": "https://picture.frame.io/image/convert/frameio-uploads-development/teams/d5e6011c-2bc9-4596-be05-77d562627112/team_image_original.png" } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889" payload = { "data": { "name": "My Workspace" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":{"name":"My Workspace"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889" payload := strings.NewReader("{\n \"data\": {\n \"name\": \"My Workspace\"\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"name\": \"My Workspace\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"name\": \"My Workspace\"\n }\n}") .asString(); ``` ```php request('PATCH', 'https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889', [ 'body' => '{ "data": { "name": "My Workspace" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"name\": \"My Workspace\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": ["name": "My Workspace"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/6f5c9e34-f0f3-47e6-af58-20787c3552b2/workspaces/dd7ca177-c168-4413-9738-79037c5a0889")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```